summaryrefslogtreecommitdiffstats
path: root/tests/omstdout-basic.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/omstdout-basic.sh')
-rwxr-xr-xtests/omstdout-basic.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/omstdout-basic.sh b/tests/omstdout-basic.sh
new file mode 100755
index 0000000..4ac4046
--- /dev/null
+++ b/tests/omstdout-basic.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# add 2016-11-22 by Pascal Withopf, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imtcp/.libs/imtcp")
+module(load="../plugins/omstdout/.libs/omstdout")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+
+template(name="outfmt" type="string" string="-%msg%-\n")
+action(type="omstdout" template="outfmt")
+
+'
+startup > $RSYSLOG_OUT_LOG
+tcpflood -m1
+shutdown_when_empty
+wait_shutdowna
+
+grep "msgnum:00000000:" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -ne 0 ]; then
+ echo
+ echo "FAIL: expected message not found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+exit_test